--- ruby.SlackBuild	2009-06-19 16:49:40.000000000 -0400
+++ ruby.SlackBuild.s390x	2009-07-06 17:36:05.000000000 -0400
@@ -37,7 +37,7 @@
   SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
 elif [ "$ARCH" = "i486" ]; then
   SLKCFLAGS="-O2 -march=i486 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
+elif [ "$ARCH" = "s390x" ]; then
   SLKCFLAGS="-O2"
 elif [ "$ARCH" = "x86_64" ]; then
   SLKCFLAGS="-O2"
@@ -66,6 +66,7 @@
 CFLAGS="$SLKCFLAGS" \
 ./configure \
   --prefix=/usr \
+  --libdir='${exec_prefix}/lib64' \
   --mandir=/usr/man \
   --datadir=/usr/share \
   --enable-shared \
@@ -73,9 +74,16 @@
   --enable-static \
   --build=$ARCH-slackware-linux
 
-make -j6 || exit 1
+make -j3 || exit 1
 make install DESTDIR=$PKG
-
+# Fix up some brain deadness.  If this isn't done, ruby can't find the .rb files, since it
+# installs them in /usr/lib64/ruby/... but _looks_ for them in /usr/lib/ruby/...  Duh
+( cd $PKG/usr/lib/ruby
+  mv -vi site_ruby ../../lib64/ruby
+  cd ..
+  rmdir -v ruby
+  ln -s ../lib64/ruby ruby
+)
 mkdir -p $PKG/usr/doc/ruby-$VERSION
 cp -a \
   COPYING* *GPL* LEGAL README* ToDo \
